// Use this at your own risk. For non-commercial use only. (c) Rob Bateman 2005
//
#ifndef __DEF_STRINGS__H__
#define __DEF_STRINGS__H__
const char* g_DefLuaScript =
	"---------------------------------------------------------------------------------\n"
	"--\n"
	"--            Md2Exporter for Maya 6.0, written by Rob Bateman\n"
	"--\n"
	"--                   [This script has been autogenerated]\n"
	"--\n"
	"--                    mailto://robthebloke@hotmail.com\n"
	"--                        http://robthebloke.org\n"
	"--\n"
	"--               note: in lua, single line comments begin with '--' :p\n"
	"--\n"
	"---------------------------------------------------------------------------------\n"
	"\n\n"
	"-- specify some useful info for the MD2 file...\n"
	"info {\n"
	"    output=\"file.md2\",   -- the output filename\n"
	"    frame_step = 2,      -- how many frames to skip when sampling the animation\n"
	"    skin_width = 256,    -- you probably want to leave this on 256. changes the UV coord scaling\n"
	"    skin_height= 256,    -- you probably want this left on 256. changes the Uv coord scaling\n"
	"    tex_format = \"bmp\"   -- the output file format for the texture files\n"
	"}\n"
	"\n"
	"-- specify the skin textures to extract from maya\n"
	"-- This should be the name of the maya node, ie \"file1\"\n"
	"-- If none are specified, then it will extract all file\n"
	"-- textures from the first anim file. By default it will\n"
	"-- write these textures into the \"texture\" directory\n"
	"-- within the same directory as the output file\n"
	"--\n"
	"skins {\n"
	"    \"file1\",\n"
	"    \"file2\"\n"
	"}\n"
	"\n"
	"-- simply list a specific set of meshes to export here. (comma seperated)\n"
	"--   ie,\n"
	"--   mesh_list {\n"
	"--       \"pSphere1\",\n"
	"--       \"pCube1\"\n"
	"--   }\n"
	"--\n"
	"-- These meshes will then be merged together to form the final output mesh in\n"
	"-- the MD2 file.\n"
	"--\n"
	"mesh_list {\n"
	"    -- if no meshes are specified then all mesh instances\n"
	"    -- found within the maya files will be used\n"
	"}\n"
	"\n"
	"-- specify an anim block for each animation file. The order the\n"
	"-- animations will appear within the MD2 file is the same order as\n"
	"-- they are listed here. The MD2 file only stores frames, so in\n"
	"-- this case, the frames will be \"run01\", \"run02\" etc etc\n"
	"--\n"
	"anim {\n"
	"    name  = \"run\",     -- the name as it appears in the MD2 file\n"
	"    file  = \"run.mb\",  -- the maya binary file\n"
	"    frame_start = 1,         -- the start frame\n"
	"    frame_end   = 24         -- the end frame\n"
	"}\n"
	"\n"
	"-- list more anims here....\n\n\n";
const char* g_Q2LuaScript =
	"---------------------------------------------------------------------------------\n"
	"--\n"
	"--            Md2Exporter for Maya 6.0, written by Rob Bateman\n"
	"--                       version 1.0  -  3/Jan/2005\n"
	"--\n"
	"--                   [This script has been autogenerated]\n"
	"--\n"
	"--                    mailto://robthebloke@hotmail.com\n"
	"--                        http://robthebloke.org\n"
	"--\n"
	"--               note: in lua, single line comments begin with '--' :p\n"
	"--\n"
	"--  I have no idea if this will actually get an MD2 file into Quake2. If you are\n"
	"--  wanting to use it for that purpose, please get in touch with me and i'll sort\n"
	"--  out any problems that may arise (probably 1 or 2) :)\n"
	"--     I have a feeling the skins may cause a problem or two.... :(\n"
	"--\n"
	"---------------------------------------------------------------------------------\n"
	"\n\n"
	"-- specify some useful info for the MD2 file...\n"
	"info {\n"
	"    output=\"file.md2\",   -- the output filename\n"
	"    frame_step = 1,      -- leave like this if you are using the frames counts as listed below\n"
	"    skin_width = 256,    -- you probably want to leave this on 256. changes the UV coord scaling\n"
	"    skin_height= 256,    -- you probably want this left on 256. changes the Uv coord scaling\n"
	"    tex_format = \"pcx\"   -- the output file format for the texture files. Q2 uses pcx\n"
	"}\n"
	"\n"
	"-- specify the skin textures to extract from maya\n"
	"-- This should be the name of the maya node, ie \"file1\"\n"
	"-- If none are specified, then it will extract all file\n"
	"-- textures from the first anim file. By default it will\n"
	"-- write these textures into the \"texture\" directory\n"
	"-- within the same directory as the output file\n"
	"--\n"
	"skins {\n"
	"    \"file1\",\n"
	"    \"file2\"\n"
	"}\n"
	"\n"
	"-- simply list a specific set of meshes to export here. (comma seperated)\n"
	"--   ie,\n"
	"--   mesh_list {\n"
	"--       \"pSphere1\",\n"
	"--       \"pCube1\"\n"
	"--   }\n"
	"--\n"
	"-- These meshes will then be merged together to form the final output mesh in\n"
	"-- the MD2 file.\n"
	"--\n"
	"mesh_list {\n"
	"    -- if no meshes are specified then all mesh instances\n"
	"    -- found within the maya files will be used\n"
	"}\n"
	"\n"
	"-- This is a list of all animations required for Quake2, and the correct\n"
	"-- number of frames needed for each cycle. If you want to add a new model\n"
	"-- into Q2, then make sure you have these anims set up. For a looping cycle\n"
	"-- such as the run, make sure that the looping frame is at frame 7, 1 after\n"
	"-- the last frame. ie, frame 1 and frame 7 will be the same. If anyone manages\n"
	"-- to get an MD2 from maya into Q2, i'd love to hear about it. Not able to\n"
	"-- test it myself because i can't be bothered to install Q2. (I'm also not\n"
	"-- an animator and this exporter is a bit of fun for myself....\n"
	"--\n"
	"anim {\n"
	"    name  = \"stand\",\n"
	"    file  = \"\",\n"
	"    frame_start = 1,\n"
	"    frame_end   = 40\n"
	"}\n"
	"anim {\n"
	"    name  = \"run\",\n"
	"    file  = \"\",\n"
	"    frame_start = 1,\n"
	"    frame_end   = 6\n"
	"}\n"
	"anim {\n"
	"    name  = \"attack\",\n"
	"    file  = \"\",\n"
	"    frame_start = 1,\n"
	"    frame_end   = 8\n"
	"}\n"
	"anim {\n"
	"    name  = \"pain1\",\n"
	"    file  = \"\",\n"
	"    frame_start = 1,\n"
	"    frame_end   = 4\n"
	"}\n"
	"anim {\n"
	"    name  = \"pain2\",\n"
	"    file  = \"\",\n"
	"    frame_start = 1,\n"
	"    frame_end   = 4\n"
	"}\n"
	"anim {\n"
	"    name  = \"pain3\",\n"
	"    file  = \"\",\n"
	"    frame_start = 1,\n"
	"    frame_end   = 4\n"
	"}\n"
	"anim {\n"
	"    name  = \"jump\",\n"
	"    file  = \"\",\n"
	"    frame_start = 1,\n"
	"    frame_end   = 6\n"
	"}\n"
	"anim {\n"
	"    name  = \"flip\",\n"
	"    file  = \"\",\n"
	"    frame_start = 1,\n"
	"    frame_end   = 12\n"
	"}\n"
	"anim {\n"
	"    name  = \"salute\",\n"
	"    file  = \"\",\n"
	"    frame_start = 1,\n"
	"    frame_end   = 11\n"
	"}\n"
	"anim {\n"
	"    name  = \"taunt\",\n"
	"    file  = \"\",\n"
	"    frame_start = 1,\n"
	"    frame_end   = 17\n"
	"}\n"
	"anim {\n"
	"    name  = \"wave\",\n"
	"    file  = \"\",\n"
	"    frame_start = 1,\n"
	"    frame_end   = 11\n"
	"}\n"
	"anim {\n"
	"    name  = \"point\",\n"
	"    file  = \"\",\n"
	"    frame_start = 1,\n"
	"    frame_end   = 12\n"
	"}\n"
	"anim {\n"
	"    name  = \"crstnd\",\n"
	"    file  = \"\",\n"
	"    frame_start = 1,\n"
	"    frame_end   = 19\n"
	"}\n"
	"anim {\n"
	"    name  = \"crwalk\",\n"
	"    file  = \"\",\n"
	"    frame_start = 1,\n"
	"    frame_end   = 6\n"
	"}\n"
	"anim {\n"
	"    name  = \"crattak\",\n"
	"    file  = \"\",\n"
	"    frame_start = 1,\n"
	"    frame_end   = 9\n"
	"}\n"
	"anim {\n"
	"    name  = \"crpain\",\n"
	"    file  = \"\",\n"
	"    frame_start = 1,\n"
	"    frame_end   = 4\n"
	"}\n"
	"anim {\n"
	"    name  = \"crdeath\",\n"
	"    file  = \"\",\n"
	"    frame_start = 1,\n"
	"    frame_end   = 5\n"
	"}\n"
	"anim {\n"
	"    name  = \"death1\",\n"
	"    file  = \"\",\n"
	"    frame_start = 1,\n"
	"    frame_end   = 6\n"
	"}\n"
	"anim {\n"
	"    name  = \"death2\",\n"
	"    file  = \"\",\n"
	"    frame_start = 1,\n"
	"    frame_end   = 6\n"
	"}\n"
	"anim {\n"
	"    name  = \"death3\",\n"
	"    file  = \"\",\n"
	"    frame_start = 1,\n"
	"    frame_end   = 8\n"
	"}\n"
	"\n\n";
const char* g_OutputInfo =
	"flags\n"
	"-----\n"
	"-h       -    prints help\n"
	"-g       -    generate lua export script\n"
	"-gq2     -    generate lua export script with anims set up for Quake2\n"
	"\n"
	"\nSelect a lua file to convert into an MD2 file.\n";
const char* g_HelpString = 
	"first you will need to generate a lua script file to specify all maya binary\n"
	"files and various options for the exporter to use to create the MD2 file. To\n"
	"do this, simply use\n"
	"\n"
	"        Md2Exporter.exe -g\n"
	"\n"
	"save the file into the same directory as all your maya binary files.\n"
	"\n"
	"Next, use a text editor to edit the lua file generated so that it is customised\n"
	"for your model. There are comments within the lua file that should help you do this\n"
	"\n"
	"Once the file has been specified, run Md2Exporter.exe again and use the file dialog\n"
	"to select the lua script to start the conversion.\n"
	"\n"
	"Hopefully you should have an md2 file to start playing with.....\n"
	"\n";
#endif
