---------------------------------------------------------------------------------
--
--            Md2Exporter for Maya 6.0, written by Rob Bateman
--
--                   [This script has been autogenerated]
--
--                    mailto://robthebloke@hotmail.com
--                        http://robthebloke.org
--
--               note: in lua, single line comments begin with '--' :p
--
---------------------------------------------------------------------------------


-- specify some useful info for the MD2 file...
info {
    output="file.md2",   -- the output filename
    frame_step = 2,      -- how many frames to skip when sampling the animation
    skin_width = 256,    -- you probably want to leave this on 256. changes the UV coord scaling
    skin_height= 256,    -- you probably want this left on 256. changes the Uv coord scaling
    tex_format = "bmp"   -- the output file format for the texture files
}

-- specify the skin textures to extract from maya
-- This should be the name of the maya node, ie "file1"
-- If none are specified, then it will extract all file
-- textures from the first anim file. By default it will
-- write these textures into the "texture" directory
-- within the same directory as the output file
--
skins {
	"file1"
}

-- simply list a specific set of meshes to export here. (comma seperated)
--   ie,
--   mesh_list {
--       "pCylinder1"
--   }
--
-- These meshes will then be merged together to form the final output mesh in
-- the MD2 file.
--
mesh_list {
    "pCylinder1",
	"pSphere1"
}

-- specify an anim block for each animation file. The order the
-- animations will appear within the MD2 file is the same order as
-- they are listed here. The MD2 file only stores frames, so in
-- this case, the frames will be "run01", "run02" etc etc
--
anim {
    name  = "test1",     -- the name as it appears in the MD2 file
    file  = "test1.mb",  -- the maya binary file
    frame_start = 1,         -- the start frame
    frame_end   = 18         -- the end frame
}
anim {
    name  = "test2",     -- the name as it appears in the MD2 file
    file  = "test2.mb",  -- the maya binary file
    frame_start = 1,         -- the start frame
    frame_end   = 18         -- the end frame
}
anim {
    name  = "test3",     -- the name as it appears in the MD2 file
    file  = "test3.mb",  -- the maya binary file
    frame_start = 1,         -- the start frame
    frame_end   = 18         -- the end frame
}

-- list more anims here....
